curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "44444444-4444-4444-8444-444444444447",
"name": "Shipping labels",
"filename": "ORDER-1042-labels.pdf",
"types": [
"label"
],
"format": "pdf",
"mime_type": "application/pdf",
"size_bytes": 24576,
"width": {
"value": 101.6,
"unit": "mm"
},
"height": {
"value": 152.4,
"unit": "mm"
},
"page_count": 2,
"url": "https://downloads.example.com/documents/labels.pdf",
"url_expires_at": "2026-09-16T10:15:02Z",
"description": "Two label pages with the same physical dimensions.",
"source": {
"type": "shipment",
"uuid": "22222222-2222-4222-8222-222222222222"
},
"print_status": null,
"created_at": "2026-09-16T10:00:02Z",
"updated_at": "2026-09-16T10:00:02Z"
},
{
"uuid": "44444444-4444-4444-8444-444444444448",
"name": "Commercial invoice",
"filename": "ORDER-1042-commercial-invoice.pdf",
"types": [
"commercial_invoice"
],
"format": "pdf",
"mime_type": "application/pdf",
"size_bytes": 12288,
"width": {
"value": 210,
"unit": "mm"
},
"height": {
"value": 297,
"unit": "mm"
},
"page_count": 1,
"url": "https://downloads.example.com/documents/commercial-invoice.pdf",
"url_expires_at": "2026-09-16T10:15:02Z",
"description": "Print the A4 commercial invoice separately from the labels.",
"source": {
"type": "shipment",
"uuid": "22222222-2222-4222-8222-222222222222"
},
"print_status": null,
"created_at": "2026-09-16T10:00:02Z",
"updated_at": "2026-09-16T10:00:02Z"
},
{
"uuid": "44444444-4444-4444-8444-444444444445",
"name": "Shipment report",
"filename": "shipments-2026-09.xlsx",
"types": [
"report"
],
"format": "xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"size_bytes": 18342,
"width": null,
"height": null,
"page_count": null,
"url": "https://downloads.example.com/reports/shipments-2026-09.xlsx",
"url_expires_at": "2026-09-16T10:15:02Z",
"description": "Shipment report for viewing in spreadsheet software.",
"source": {
"type": "report",
"uuid": "44444444-4444-4444-8444-444444444446"
},
"print_status": null,
"created_at": "2026-09-16T10:00:02Z",
"updated_at": "2026-09-16T10:00:02Z"
}
],
"links": {
"first": null,
"last": null,
"prev": null,
"next": null
},
"meta": {
"path": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/documents",
"per_page": 25,
"next_cursor": null,
"prev_cursor": null
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "The given data was invalid.",
"errors": {
"field_name": [
"This field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}List business documents
List completed team-owned document files, newest first using cursor pagination. Each item has the same Document representation as GET /documents/ and Shipment.documents. Includes supported reports/manifests as well as shipment documents. Dimensions and page count are stored with the file and metadata reads do not load file contents. source_uuid requires source_type. Report/manifest generation is a separate workflow; this operation lists completed files.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
"da-DK, da;q=0.9, en;q=0.8"
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Query Parameters
Producing resource type, e.g. shipment, report or manifest.
Producing resource UUID; use together with source_type.
Content kind; combined files may match multiple kinds. Kind of content a generated document can contain
label, customs_declaration, commercial_invoice, proforma_invoice, packing_list, report, manifest Filter by document file format. Business-document file format. XLSX is a report format; direct printing is limited by the print service and selected printer.
pdf, zpl, png, xlsx Opaque cursor returned by this endpoint. Omit it for the first page. Keep all filters, sort order and per_page unchanged within a page sequence. For tracking polls, use the documented resume_cursor once next is null.
1Maximum number of resources per page.
1 <= x <= 1000Response
Document metadata and signed links.
Show child attributes
Show child attributes
Navigation links for a cursor-paginated collection. Follow next or prev with GET; returned URLs preserve the selected filters, sort order, page size and sync boundary where applicable.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?